# -*- encoding: utf-8 -*-
# stub: chef-licensing 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "chef-licensing".freeze
  s.version = "1.0.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://github.com/chef/chef-licensing", "source_code_uri" => "https://github.com/chef/chef-licensing" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Inspec Team".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-07-16"
  s.description = "Ruby library to support CLI tools that use Progress Chef license storage, generation, and entitlement.".freeze
  s.email = ["inspec@progress.com".freeze]
  s.files = ["chef-licensing.gemspec".freeze, "lib/chef-licensing.rb".freeze, "lib/chef-licensing/api/client.rb".freeze, "lib/chef-licensing/api/describe.rb".freeze, "lib/chef-licensing/api/license_feature_entitlement.rb".freeze, "lib/chef-licensing/api/license_software_entitlement.rb".freeze, "lib/chef-licensing/api/list_licenses.rb".freeze, "lib/chef-licensing/api/parser/client.rb".freeze, "lib/chef-licensing/api/parser/describe.rb".freeze, "lib/chef-licensing/cli_flags/mixlib_cli.rb".freeze, "lib/chef-licensing/cli_flags/thor.rb".freeze, "lib/chef-licensing/config.rb".freeze, "lib/chef-licensing/config_fetcher/arg_fetcher.rb".freeze, "lib/chef-licensing/config_fetcher/env_fetcher.rb".freeze, "lib/chef-licensing/context.rb".freeze, "lib/chef-licensing/exceptions/client_error.rb".freeze, "lib/chef-licensing/exceptions/describe_error.rb".freeze, "lib/chef-licensing/exceptions/error.rb".freeze, "lib/chef-licensing/exceptions/feature_not_entitled.rb".freeze, "lib/chef-licensing/exceptions/invalid_file_format_version.rb".freeze, "lib/chef-licensing/exceptions/invalid_license.rb".freeze, "lib/chef-licensing/exceptions/license_file_corrupted.rb".freeze, "lib/chef-licensing/exceptions/list_licenses_error.rb".freeze, "lib/chef-licensing/exceptions/missing_api_credentials_error.rb".freeze, "lib/chef-licensing/exceptions/restful_client_connection_error.rb".freeze, "lib/chef-licensing/exceptions/restful_client_error.rb".freeze, "lib/chef-licensing/exceptions/software_not_entitled.rb".freeze, "lib/chef-licensing/exceptions/unsupported_content_type.rb".freeze, "lib/chef-licensing/license.rb".freeze, "lib/chef-licensing/license_key_fetcher.rb".freeze, "lib/chef-licensing/license_key_fetcher/base.rb".freeze, "lib/chef-licensing/license_key_fetcher/chef_licensing_interactions.yaml".freeze, "lib/chef-licensing/license_key_fetcher/file.rb".freeze, "lib/chef-licensing/license_key_fetcher/license_file/base.rb".freeze, "lib/chef-licensing/license_key_fetcher/license_file/v3.rb".freeze, "lib/chef-licensing/license_key_fetcher/license_file/v4.rb".freeze, "lib/chef-licensing/license_key_fetcher/prompt.rb".freeze, "lib/chef-licensing/license_key_validator.rb".freeze, "lib/chef-licensing/licensing_service/local.rb".freeze, "lib/chef-licensing/list_license_keys.rb".freeze, "lib/chef-licensing/restful_client/base.rb".freeze, "lib/chef-licensing/restful_client/middleware/content_type_validator.rb".freeze, "lib/chef-licensing/restful_client/middleware/exceptions_handler.rb".freeze, "lib/chef-licensing/restful_client/v1.rb".freeze, "lib/chef-licensing/tui_engine.rb".freeze, "lib/chef-licensing/tui_engine/tui_actions.rb".freeze, "lib/chef-licensing/tui_engine/tui_engine.rb".freeze, "lib/chef-licensing/tui_engine/tui_engine_state.rb".freeze, "lib/chef-licensing/tui_engine/tui_exceptions.rb".freeze, "lib/chef-licensing/tui_engine/tui_interaction.rb".freeze, "lib/chef-licensing/tui_engine/tui_prompt.rb".freeze, "lib/chef-licensing/version.rb".freeze]
  s.homepage = "https://github.com/chef/chef-licensing".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.1.0".freeze)
  s.rubygems_version = "3.2.3".freeze
  s.summary = "Chef License storage, generation, and entitlement".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<chef-config>.freeze, [">= 15".freeze])
  s.add_runtime_dependency(%q<tty-prompt>.freeze, ["~> 0.23".freeze])
  s.add_runtime_dependency(%q<faraday>.freeze, [">= 1".freeze, "< 3".freeze])
  s.add_runtime_dependency(%q<faraday-http-cache>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 7.0".freeze, "< 7.1".freeze])
  s.add_runtime_dependency(%q<tty-spinner>.freeze, ["~> 0.9.3".freeze])
end

